Bug 1567158 - Rebase atk to 2.28.1
Summary: Rebase atk to 2.28.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: atk
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Florian Müllner
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1567133 1649404
TreeView+ depends on / blocked
 
Reported: 2018-04-13 13:48 UTC by Matthias Clasen
Modified: 2018-11-13 15:03 UTC (History)
3 users (show)

Fixed In Version: atk-2.28.1-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:21:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:22:21 UTC

Description Matthias Clasen 2018-04-13 13:48:53 UTC
As part of the desktop rebase in 7.6, we need to rebase atk to the version that is shipped with GNOME 3.28.

Comment 2 Kalev Lember 2018-04-27 17:14:59 UTC
Rebase branch: http://pkgs.devel.redhat.com/cgit/rpms/atk/log/?h=private-rhel-7.6-rebase

mcrha, can you review the rebased patches please to make sure I got it right? Looks like one patch is not yet upstream.

Comment 3 Milan Crha 2018-04-30 07:43:08 UTC
(In reply to Kalev Lember from comment #2)
> mcrha, can you review the rebased patches please to make sure I got it
> right? Looks like one patch is not yet upstream.

Hmm, are you sure you picked the right person here? I've no single idea about atk, apart of being its API's occasional user.

Comment 4 Kalev Lember 2018-06-01 00:41:49 UTC
(In reply to Milan Crha from comment #3)
> (In reply to Kalev Lember from comment #2)
> > mcrha, can you review the rebased patches please to make sure I got it
> > right? Looks like one patch is not yet upstream.
> 
> Hmm, are you sure you picked the right person here? I've no single idea
> about atk, apart of being its API's occasional user.

Yes, it's your fixes:

commit 385a345d217ba3794e1e2bac624706c148dbba8e (origin/rhel-7.5, origin/rhel-7.4)
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed May 31 12:40:58 2017 +0200

    Resolves: #1457206 (Invalid unref at atk_gobject_accessible_object_gone_cb())

commit 180d7fb05eeb9acee71ddae94d8a01a775d36c71
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue May 23 15:41:03 2017 +0200

    Resolves: #1444405 (Crash under atk_gobject_accessible_dispose())

Comment 5 Kalev Lember 2018-06-01 00:52:19 UTC
Merged the branch and built as atk-2.28.1-1.el7

Comment 9 errata-xmlrpc 2018-10-30 10:21:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.